"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SearchPage = SearchPage;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _react = _interopRequireWildcard(require("react"));
var _reactRouterDom = require("react-router-dom");
var _zipcelx = _interopRequireDefault(require("zipcelx"));
var _get = _interopRequireDefault(require("lodash/get"));
var _material = require("@mui/material");
var _ImportExport = _interopRequireDefault(require("@mui/icons-material/ImportExport"));
var _Add = _interopRequireDefault(require("@mui/icons-material/Add"));
var _Edit = _interopRequireDefault(require("@mui/icons-material/Edit"));
var _Delete = _interopRequireDefault(require("@mui/icons-material/Delete"));
var _RemoveRedEye = _interopRequireDefault(require("@mui/icons-material/RemoveRedEye"));
var _UIManager = require("../services/UIManager");
var _ApiBusinessLogic = require("../services/ApiBusinessLogic");
var _index = require("../../ui/panel/components/form/index");
var _GridComponentProp = require("../../data/lib/GridComponentProp");
var _GridRowExtraActionProp = require("../../data/lib/GridRowExtraActionProp");
var _GridBulkActionProp = require("../../data/lib/GridBulkActionProp");
var _LibService = require("../services/LibService");
var _LocaleService = require("../services/LocaleService");
var _TablePaginationActions = require("./TablePaginationActions");
var _InputComponentProp = require("../../data/lib/InputComponentProp");
var _UseForm = require("../helpers/UseForm");
var _useFilterView = require("./useFilterView");
var _makesStyles = require("./makesStyles");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _regeneratorRuntime() { "use strict"; /*! regenerator-runtime -- Copyright (c) 2014-present, Facebook, Inc. -- license (MIT): https://github.com/facebook/regenerator/blob/main/LICENSE */ _regeneratorRuntime = function _regeneratorRuntime() { return exports; }; var exports = {}, Op = Object.prototype, hasOwn = Op.hasOwnProperty, defineProperty = Object.defineProperty || function (obj, key, desc) { obj[key] = desc.value; }, $Symbol = "function" == typeof Symbol ? Symbol : {}, iteratorSymbol = $Symbol.iterator || "@@iterator", asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator", toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag"; function define(obj, key, value) { return Object.defineProperty(obj, key, { value: value, enumerable: !0, configurable: !0, writable: !0 }), obj[key]; } try { define({}, ""); } catch (err) { define = function define(obj, key, value) { return obj[key] = value; }; } function wrap(innerFn, outerFn, self, tryLocsList) { var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator, generator = Object.create(protoGenerator.prototype), context = new Context(tryLocsList || []); return defineProperty(generator, "_invoke", { value: makeInvokeMethod(innerFn, self, context) }), generator; } function tryCatch(fn, obj, arg) { try { return { type: "normal", arg: fn.call(obj, arg) }; } catch (err) { return { type: "throw", arg: err }; } } exports.wrap = wrap; var ContinueSentinel = {}; function Generator() {} function GeneratorFunction() {} function GeneratorFunctionPrototype() {} var IteratorPrototype = {}; define(IteratorPrototype, iteratorSymbol, function () { return this; }); var getProto = Object.getPrototypeOf, NativeIteratorPrototype = getProto && getProto(getProto(values([]))); NativeIteratorPrototype && NativeIteratorPrototype !== Op && hasOwn.call(NativeIteratorPrototype, iteratorSymbol) && (IteratorPrototype = NativeIteratorPrototype); var Gp = GeneratorFunctionPrototype.prototype = Generator.prototype = Object.create(IteratorPrototype); function defineIteratorMethods(prototype) { ["next", "throw", "return"].forEach(function (method) { define(prototype, method, function (arg) { return this._invoke(method, arg); }); }); } function AsyncIterator(generator, PromiseImpl) { function invoke(method, arg, resolve, reject) { var record = tryCatch(generator[method], generator, arg); if ("throw" !== record.type) { var result = record.arg, value = result.value; return value && "object" == _typeof(value) && hasOwn.call(value, "__await") ? PromiseImpl.resolve(value.__await).then(function (value) { invoke("next", value, resolve, reject); }, function (err) { invoke("throw", err, resolve, reject); }) : PromiseImpl.resolve(value).then(function (unwrapped) { result.value = unwrapped, resolve(result); }, function (error) { return invoke("throw", error, resolve, reject); }); } reject(record.arg); } var previousPromise; defineProperty(this, "_invoke", { value: function value(method, arg) { function callInvokeWithMethodAndArg() { return new PromiseImpl(function (resolve, reject) { invoke(method, arg, resolve, reject); }); } return previousPromise = previousPromise ? previousPromise.then(callInvokeWithMethodAndArg, callInvokeWithMethodAndArg) : callInvokeWithMethodAndArg(); } }); } function makeInvokeMethod(innerFn, self, context) { var state = "suspendedStart"; return function (method, arg) { if ("executing" === state) throw new Error("Generator is already running"); if ("completed" === state) { if ("throw" === method) throw arg; return doneResult(); } for (context.method = method, context.arg = arg;;) { var delegate = context.delegate; if (delegate) { var delegateResult = maybeInvokeDelegate(delegate, context); if (delegateResult) { if (delegateResult === ContinueSentinel) continue; return delegateResult; } } if ("next" === context.method) context.sent = context._sent = context.arg;else if ("throw" === context.method) { if ("suspendedStart" === state) throw state = "completed", context.arg; context.dispatchException(context.arg); } else "return" === context.method && context.abrupt("return", context.arg); state = "executing"; var record = tryCatch(innerFn, self, context); if ("normal" === record.type) { if (state = context.done ? "completed" : "suspendedYield", record.arg === ContinueSentinel) continue; return { value: record.arg, done: context.done }; } "throw" === record.type && (state = "completed", context.method = "throw", context.arg = record.arg); } }; } function maybeInvokeDelegate(delegate, context) { var methodName = context.method, method = delegate.iterator[methodName]; if (undefined === method) return context.delegate = null, "throw" === methodName && delegate.iterator.return && (context.method = "return", context.arg = undefined, maybeInvokeDelegate(delegate, context), "throw" === context.method) || "return" !== methodName && (context.method = "throw", context.arg = new TypeError("The iterator does not provide a '" + methodName + "' method")), ContinueSentinel; var record = tryCatch(method, delegate.iterator, context.arg); if ("throw" === record.type) return context.method = "throw", context.arg = record.arg, context.delegate = null, ContinueSentinel; var info = record.arg; return info ? info.done ? (context[delegate.resultName] = info.value, context.next = delegate.nextLoc, "return" !== context.method && (context.method = "next", context.arg = undefined), context.delegate = null, ContinueSentinel) : info : (context.method = "throw", context.arg = new TypeError("iterator result is not an object"), context.delegate = null, ContinueSentinel); } function pushTryEntry(locs) { var entry = { tryLoc: locs[0] }; 1 in locs && (entry.catchLoc = locs[1]), 2 in locs && (entry.finallyLoc = locs[2], entry.afterLoc = locs[3]), this.tryEntries.push(entry); } function resetTryEntry(entry) { var record = entry.completion || {}; record.type = "normal", delete record.arg, entry.completion = record; } function Context(tryLocsList) { this.tryEntries = [{ tryLoc: "root" }], tryLocsList.forEach(pushTryEntry, this), this.reset(!0); } function values(iterable) { if (iterable) { var iteratorMethod = iterable[iteratorSymbol]; if (iteratorMethod) return iteratorMethod.call(iterable); if ("function" == typeof iterable.next) return iterable; if (!isNaN(iterable.length)) { var i = -1, next = function next() { for (; ++i < iterable.length;) if (hasOwn.call(iterable, i)) return next.value = iterable[i], next.done = !1, next; return next.value = undefined, next.done = !0, next; }; return next.next = next; } } return { next: doneResult }; } function doneResult() { return { value: undefined, done: !0 }; } return GeneratorFunction.prototype = GeneratorFunctionPrototype, defineProperty(Gp, "constructor", { value: GeneratorFunctionPrototype, configurable: !0 }), defineProperty(GeneratorFunctionPrototype, "constructor", { value: GeneratorFunction, configurable: !0 }), GeneratorFunction.displayName = define(GeneratorFunctionPrototype, toStringTagSymbol, "GeneratorFunction"), exports.isGeneratorFunction = function (genFun) { var ctor = "function" == typeof genFun && genFun.constructor; return !!ctor && (ctor === GeneratorFunction || "GeneratorFunction" === (ctor.displayName || ctor.name)); }, exports.mark = function (genFun) { return Object.setPrototypeOf ? Object.setPrototypeOf(genFun, GeneratorFunctionPrototype) : (genFun.__proto__ = GeneratorFunctionPrototype, define(genFun, toStringTagSymbol, "GeneratorFunction")), genFun.prototype = Object.create(Gp), genFun; }, exports.awrap = function (arg) { return { __await: arg }; }, defineIteratorMethods(AsyncIterator.prototype), define(AsyncIterator.prototype, asyncIteratorSymbol, function () { return this; }), exports.AsyncIterator = AsyncIterator, exports.async = function (innerFn, outerFn, self, tryLocsList, PromiseImpl) { void 0 === PromiseImpl && (PromiseImpl = Promise); var iter = new AsyncIterator(wrap(innerFn, outerFn, self, tryLocsList), PromiseImpl); return exports.isGeneratorFunction(outerFn) ? iter : iter.next().then(function (result) { return result.done ? result.value : iter.next(); }); }, defineIteratorMethods(Gp), define(Gp, toStringTagSymbol, "Generator"), define(Gp, iteratorSymbol, function () { return this; }), define(Gp, "toString", function () { return "[object Generator]"; }), exports.keys = function (val) { var object = Object(val), keys = []; for (var key in object) keys.push(key); return keys.reverse(), function next() { for (; keys.length;) { var key = keys.pop(); if (key in object) return next.value = key, next.done = !1, next; } return next.done = !0, next; }; }, exports.values = values, Context.prototype = { constructor: Context, reset: function reset(skipTempReset) { if (this.prev = 0, this.next = 0, this.sent = this._sent = undefined, this.done = !1, this.delegate = null, this.method = "next", this.arg = undefined, this.tryEntries.forEach(resetTryEntry), !skipTempReset) for (var name in this) "t" === name.charAt(0) && hasOwn.call(this, name) && !isNaN(+name.slice(1)) && (this[name] = undefined); }, stop: function stop() { this.done = !0; var rootRecord = this.tryEntries[0].completion; if ("throw" === rootRecord.type) throw rootRecord.arg; return this.rval; }, dispatchException: function dispatchException(exception) { if (this.done) throw exception; var context = this; function handle(loc, caught) { return record.type = "throw", record.arg = exception, context.next = loc, caught && (context.method = "next", context.arg = undefined), !!caught; } for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i], record = entry.completion; if ("root" === entry.tryLoc) return handle("end"); if (entry.tryLoc <= this.prev) { var hasCatch = hasOwn.call(entry, "catchLoc"), hasFinally = hasOwn.call(entry, "finallyLoc"); if (hasCatch && hasFinally) { if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0); if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc); } else if (hasCatch) { if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0); } else { if (!hasFinally) throw new Error("try statement without catch or finally"); if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc); } } } }, abrupt: function abrupt(type, arg) { for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i]; if (entry.tryLoc <= this.prev && hasOwn.call(entry, "finallyLoc") && this.prev < entry.finallyLoc) { var finallyEntry = entry; break; } } finallyEntry && ("break" === type || "continue" === type) && finallyEntry.tryLoc <= arg && arg <= finallyEntry.finallyLoc && (finallyEntry = null); var record = finallyEntry ? finallyEntry.completion : {}; return record.type = type, record.arg = arg, finallyEntry ? (this.method = "next", this.next = finallyEntry.finallyLoc, ContinueSentinel) : this.complete(record); }, complete: function complete(record, afterLoc) { if ("throw" === record.type) throw record.arg; return "break" === record.type || "continue" === record.type ? this.next = record.arg : "return" === record.type ? (this.rval = this.arg = record.arg, this.method = "return", this.next = "end") : "normal" === record.type && afterLoc && (this.next = afterLoc), ContinueSentinel; }, finish: function finish(finallyLoc) { for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i]; if (entry.finallyLoc === finallyLoc) return this.complete(entry.completion, entry.afterLoc), resetTryEntry(entry), ContinueSentinel; } }, catch: function _catch(tryLoc) { for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i]; if (entry.tryLoc === tryLoc) { var record = entry.completion; if ("throw" === record.type) { var thrown = record.arg; resetTryEntry(entry); } return thrown; } } throw new Error("illegal catch attempt"); }, delegateYield: function delegateYield(iterable, resultName, nextLoc) { return this.delegate = { iterator: values(iterable), resultName: resultName, nextLoc: nextLoc }, "next" === this.method && (this.arg = undefined), ContinueSentinel; } }, exports; }
function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }
function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
var useStyles = (0, _makesStyles.makeStyles)()(function (theme) {
  return {
    root: {
      width: '100%'
    },
    paper: {
      width: '100%',
      marginBottom: theme.spacing(2)
    },
    table: {
      minWidth: 750
    },
    visuallyHidden: {
      border: 0,
      clip: 'rect(0 0 0 0)',
      height: 1,
      margin: -1,
      overflow: 'hidden',
      padding: 0,
      position: 'absolute',
      top: 20,
      width: 1
    }
  };
});
function closeDialog(record) {
  return function () {
    // @ts-ignore
    var callback = window.parent['iframeCallback' + _UIManager.UIManager.instance().getDialogId()];
    if (callback) {
      callback(record);
    }
  };
}
function SearchPage(props) {
  var _props$pageSize;
  var pageConfig = _LibService.LibService.instance().checkConfigPermision(props.pageConfig);
  var gridFields = props.gridFields;
  var location = (0, _reactRouterDom.useLocation)();
  var navigate = (0, _reactRouterDom.useNavigate)();
  var _useState = (0, _react.useState)('loading'),
    _useState2 = _slicedToArray(_useState, 2),
    status = _useState2[0],
    setStatus = _useState2[1];
  var _useState3 = (0, _react.useState)(props.initialData || []),
    _useState4 = _slicedToArray(_useState3, 2),
    data = _useState4[0],
    setData = _useState4[1];
  var _useState5 = (0, _react.useState)(0),
    _useState6 = _slicedToArray(_useState5, 2),
    total = _useState6[0],
    setTotal = _useState6[1];
  var defaultValues = _UIManager.UIManager.instance().getDefaultValues();
  var refRequest = (0, _react.useRef)({
    filter: defaultValues,
    pagination: {
      page: _UIManager.UIManager.instance().getPageNumber(),
      perPage: (_props$pageSize = props.pageSize) !== null && _props$pageSize !== void 0 ? _props$pageSize : 50
    },
    sort: {
      field: _UIManager.UIManager.instance().getSort(props.defaultSort),
      order: _UIManager.UIManager.instance().getSortOrder(props.defaultSortOrder)
    }
  });
  // const [request, setRequest] = useState<ApiSearchRequest>({
  //   filter: defaultValues,
  //   pagination: {
  //     page: UIManager.instance().getPageNumber(),
  //     perPage: 20,
  //   },
  //   sort: {
  //     field: 'id',
  //     order: 'ASC',
  //   },
  // });
  var getRequest = function getRequest() {
    return refRequest.current;
  };
  var setRequest = function setRequest(val) {
    return refRequest.current = val;
  };
  var _useState7 = (0, _react.useState)([]),
    _useState8 = _slicedToArray(_useState7, 2),
    selections = _useState8[0],
    setSelections = _useState8[1];
  var _useStyles = useStyles(),
    classes = _useStyles.classes,
    cx = _useStyles.cx;
  (0, _react.useEffect)(function () {
    setData(props.initialData || []);
  }, [props.initialData]);
  (0, _react.useEffect)(function () {
    var request = getRequest();
    request.filter = _UIManager.UIManager.instance().getDefaultValues();
    request.pagination.page = _UIManager.UIManager.instance().getPageNumber();
    request.sort.field = _UIManager.UIManager.instance().getSort(props.defaultSort);
    request.sort.order = _UIManager.UIManager.instance().getSortOrder(props.defaultSortOrder);
    setRequest(request);
    loadDataTimer(true);
  }, [location]);
  var isHideActions = _UIManager.UIManager.instance().isHideActions() || props.hideActions;
  var isSelectField = _UIManager.UIManager.instance().isSelectField();
  var isHideFilters = _UIManager.UIManager.instance().isHideFilters() || props.hideFilters;
  var timer = (0, _react.useRef)();
  function loadDataTimer() {
    var fromUrlChangeEvent = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    if (!fromUrlChangeEvent) {
      var request = getRequest();
      _UIManager.UIManager.instance().changeQueryParams(navigate, {
        page: request.pagination.page,
        perPage: request.pagination.perPage,
        sort: request.sort.field,
        sortOrder: request.sort.order,
        defaultValues: JSON.stringify(request.filter)
      });
      return;
    }
    if (timer.current) clearTimeout(timer.current);
    timer.current = setTimeout(function () {
      loadData();
    }, 1000);
  }
  function loadData() {
    if (props.disableOnload) {
      setStatus('done');
      return;
    }
    setStatus('loading');
    var request = getRequest();
    new _ApiBusinessLogic.ApiBusinessLogic().search(pageConfig.route, request).then(function (response) {
      updateData(response.value, response.total);
    }).catch(function (error) {
      setStatus('none');
      throw error;
    });
  }
  function updateData(value, total) {
    if (total) setTotal(total);
    setData(value);
    setStatus(value.length > 0 ? 'done' : 'no-data');
  }
  function _updateRowData(index, value) {
    data[index] = value;
    updateData(_toConsumableArray(data));
  }
  function deleteItem(id) {
    _UIManager.UIManager.instance().confirm({}, function (response) {
      if (!response || !response.value) return;
      new _ApiBusinessLogic.ApiBusinessLogic().delete(pageConfig.route, id).then(function (response) {
        loadData();
      });
    });
  }
  function exportData(e) {
    e.preventDefault();
    _UIManager.UIManager.instance().displayLoading(true);
    var request = getRequest();
    var requestExport = _objectSpread({}, request);
    requestExport.pagination.page = 1;
    requestExport.pagination.perPage = 0;
    new _ApiBusinessLogic.ApiBusinessLogic().search(pageConfig.route, requestExport).then(function (response) {
      var dataForExport = response.value.map(function (x) {
        return gridFields.map(function (f) {
          return {
            value: f.enumName ? _LibService.LibService.instance().translatEnum(f.enum, f.enumName, (0, _get.default)(x, f.name)) : (0, _get.default)(x, f.name),
            type: f.dataType || 'string'
          };
        });
      });
      var headers = gridFields.map(function (x) {
        return {
          value: _LibService.LibService.instance().getFieldLabel(pageConfig, x.name),
          type: 'string'
        };
      });
      dataForExport.unshift(headers);
      (0, _zipcelx.default)({
        filename: _LibService.LibService.instance().getRouteLabel(pageConfig) + '_' + new Date().getTime(),
        sheet: {
          data: dataForExport
        }
      });
    }).catch(function (error) {
      throw error;
    }).finally(function () {
      _UIManager.UIManager.instance().displayLoading(false);
    });
  }
  var handleChangePage = function handleChangePage(event, newPage) {
    var request = getRequest();
    request.pagination.page = newPage + 1;
    setRequest(request);
    loadDataTimer();
  };
  var handleChangeRowsPerPage = function handleChangeRowsPerPage(event) {
    var request = getRequest();
    request.pagination.page = 1;
    request.pagination.perPage = parseInt(event.target.value, 10);
    setRequest(request);
    loadDataTimer();
  };
  var changeSort = function changeSort(field) {
    return function () {
      var request = getRequest();
      if (request.sort.field == field) {
        request.sort.order = request.sort.order == 'ASC' ? 'DESC' : 'ASC';
      } else {
        request.sort.field = field;
        request.sort.order = 'ASC';
      }
      setRequest(request);
      loadDataTimer();
    };
  };
  function selectedIndex(dataRow) {
    return selections.indexOf(dataRow['id']);
  }
  function isSelected(dataRow) {
    return selectedIndex(dataRow) != -1;
  }
  function toggleSelected(dataRow) {
    return function () {
      var index = selectedIndex(dataRow);
      if (index > -1) {
        selections.splice(index, 1);
      } else {
        selections.push(dataRow['id']);
      }
      setSelections(_toConsumableArray(selections));
    };
  }
  function isAllSelected() {
    return selections.length === data.length;
  }
  function masterToggle() {
    return function () {
      if (isAllSelected()) {
        setSelections([]);
        return;
      }
      setSelections(data.map(function (x) {
        return x['id'];
      }));
    };
  }
  (0, _react.useEffect)(function () {
    loadDataTimer(true);
    var refreshSubscription = _LibService.LibService.instance().refreshPage.subscribe(function () {
      loadDataTimer(true);
    });
    return function () {
      refreshSubscription.unsubscribe();
    };
  }, []);
  function onFilterChanged(data) {
    var request = getRequest();
    request.filter = data;
    request.pagination.page = 1;
    setRequest(request);
    loadDataTimer();
  }
  var FilterView = (0, _useFilterView.useFilterView)({
    defaultValues: _UIManager.UIManager.instance().getDefaultValues(),
    values: getRequest().filter,
    filterFields: pageConfig.filterFields,
    onLoadData: onFilterChanged,
    pageConfig: pageConfig,
    isHideFilters: isHideFilters
  });
  var renderSearchBody = function renderSearchBody() {
    return /*#__PURE__*/_react.default.createElement(_material.TableBody, null, data.map(function (item, i) {
      var isItemSelected = isSelected(data[i]);
      return /*#__PURE__*/_react.default.createElement(_material.TableRow, {
        hover: true
        //onClick={(event) => handleClick(event, row.name)}
        //role="checkbox"
        ,
        "aria-checked": isItemSelected,
        tabIndex: -1,
        key: i,
        selected: isItemSelected
      }, isSelectField && /*#__PURE__*/_react.default.createElement(_material.TableCell, null, /*#__PURE__*/_react.default.createElement(_material.Button, {
        variant: "contained",
        color: "inherit",
        size: "small",
        onClick: closeDialog(data[i])
      }, _LocaleService.LocaleService.instance().translate('lib.action.select'))), props.bulkActions && /*#__PURE__*/_react.default.createElement(_material.TableCell, {
        padding: "checkbox"
      }, /*#__PURE__*/_react.default.createElement(_material.Checkbox, {
        checked: isItemSelected,
        onChange: toggleSelected(data[i]),
        inputProps: {
          'aria-labelledby': ''
        }
      })), gridFields.map(function (gridField, j) {
        return /*#__PURE__*/_react.default.createElement(_material.TableCell, {
          key: j
        }, /*#__PURE__*/_react.default.createElement(gridField.gridComponent || _index.allInputs.GridFieldComponent, new _GridComponentProp.GridComponentProp({
          key: j,
          pageConfig: pageConfig,
          gridFields: gridFields,
          gridField: gridField,
          data: data,
          rowData: data[i]
        })));
      }), /*#__PURE__*/_react.default.createElement(_material.TableCell, {
        align: "right"
      }, !isHideActions && /*#__PURE__*/_react.default.createElement("div", null, props.rowActions && props.rowActions(new _GridRowExtraActionProp.GridRowExtraActionProp({
        key: i,
        pageConfig: pageConfig,
        gridFields: gridFields,
        data: data,
        rowData: data[i],
        updateData: updateData,
        updateRowData: function updateRowData(value) {
          return _updateRowData(i, value);
        }
      })), pageConfig.delete && /*#__PURE__*/_react.default.createElement(_material.Button, {
        size: "small",
        variant: "text",
        color: "secondary",
        startIcon: /*#__PURE__*/_react.default.createElement(_Delete.default, null),
        onClick: function onClick(e) {
          e.preventDefault();
          deleteItem(data[i]['id']);
        }
      }, _LocaleService.LocaleService.instance().translate('lib.action.delete')), pageConfig.edit && /*#__PURE__*/_react.default.createElement(_material.Button, {
        component: _reactRouterDom.Link,
        to: _UIManager.UIManager.instance().getLink('edit', pageConfig, {
          id: data[i]['id'],
          preserveQueryParams: true
        }),
        size: "small",
        variant: "text",
        color: "secondary",
        startIcon: /*#__PURE__*/_react.default.createElement(_Edit.default, null)
      }, _LocaleService.LocaleService.instance().translate('lib.action.edit')), pageConfig.get && /*#__PURE__*/_react.default.createElement(_material.Button, {
        component: _reactRouterDom.Link,
        to: _UIManager.UIManager.instance().getLink('detail', pageConfig, {
          id: data[i]['id'],
          preserveQueryParams: true
        }),
        size: "small",
        variant: "text",
        color: "secondary",
        startIcon: /*#__PURE__*/_react.default.createElement(_RemoveRedEye.default, null)
      }, _LocaleService.LocaleService.instance().translate('lib.action.show')))));
    }));
  };
  var renderInlineEditBody = function renderInlineEditBody() {
    return /*#__PURE__*/_react.default.createElement(_material.TableBody, null, data.map(function (item, i) {
      var isItemSelected = isSelected(data[i]);
      var formKey = item.id;
      return /*#__PURE__*/_react.default.createElement(_material.TableRow, {
        hover: true,
        "aria-checked": isItemSelected,
        tabIndex: -1,
        key: item.id,
        selected: isItemSelected
      }, isSelectField && /*#__PURE__*/_react.default.createElement(_material.TableCell, null, /*#__PURE__*/_react.default.createElement(_material.Button, {
        variant: "contained",
        color: "inherit",
        size: "small",
        onClick: closeDialog(data[i])
      }, _LocaleService.LocaleService.instance().translate('lib.action.select'))), props.bulkActions && /*#__PURE__*/_react.default.createElement(_material.TableCell, {
        padding: "checkbox"
      }, /*#__PURE__*/_react.default.createElement(_material.Checkbox, {
        checked: isItemSelected,
        onChange: toggleSelected(data[i]),
        inputProps: {
          'aria-labelledby': ''
        }
      })), props.actionButtonsOnLeft && renderInlineEditBodyActions(data[i]), /*#__PURE__*/_react.default.createElement(RenderInlineEditBodyItem, {
        formKey: formKey,
        item: item,
        gridFields: gridFields,
        fields: props.fields,
        pageConfig: pageConfig,
        RowActions: props.rowActions,
        data: data,
        actionButtonsOnLeft: props.actionButtonsOnLeft
      }), !props.actionButtonsOnLeft && renderInlineEditBodyActions(data[i]));
    }));
  };
  var renderInlineEditBodyActions = function renderInlineEditBodyActions(rowData) {
    return /*#__PURE__*/_react.default.createElement(_material.TableCell, {
      align: "right"
    }, /*#__PURE__*/_react.default.createElement("div", null, pageConfig.edit && /*#__PURE__*/_react.default.createElement(_material.Button, {
      component: _reactRouterDom.Link,
      to: location.pathname + '/edit/' + rowData['id'],
      size: "small",
      variant: "text",
      color: "secondary",
      startIcon: /*#__PURE__*/_react.default.createElement(_Edit.default, null)
    }, _LocaleService.LocaleService.instance().translate('lib.action.edit')), pageConfig.delete && /*#__PURE__*/_react.default.createElement(_material.Button, {
      size: "small",
      variant: "text",
      color: "secondary",
      startIcon: /*#__PURE__*/_react.default.createElement(_Delete.default, null),
      onClick: function onClick(e) {
        e.preventDefault();
        deleteItem(rowData['id']);
      }
    }, _LocaleService.LocaleService.instance().translate('lib.action.delete'))));
  };
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "list-container"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "list-actions"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "container-left"
  }, !isHideActions && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, pageConfig.new && /*#__PURE__*/_react.default.createElement(_material.Button, {
    component: _reactRouterDom.Link,
    to: _UIManager.UIManager.instance().getLink('create', pageConfig, {
      preserveQueryParams: true
    }),
    color: "primary",
    variant: "outlined",
    startIcon: /*#__PURE__*/_react.default.createElement(_Add.default, null)
  }, _LocaleService.LocaleService.instance().translate('lib.action.add')), props.leftComponents)), /*#__PURE__*/_react.default.createElement("div", null), /*#__PURE__*/_react.default.createElement("div", {
    className: "container-right"
  }, !isHideActions && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, pageConfig.export && /*#__PURE__*/_react.default.createElement(_material.Button, {
    variant: "outlined",
    color: "inherit",
    onClick: exportData,
    startIcon: /*#__PURE__*/_react.default.createElement(_ImportExport.default, null),
    className: "mr10"
  }, _LocaleService.LocaleService.instance().translate('lib.action.export'))), props.bulkActions && selections.length > 0 && props.bulkActions(new _GridBulkActionProp.GridBulkActionProp({
    pageConfig: pageConfig,
    gridFields: gridFields,
    data: data,
    selections: selections
  })), !isHideActions && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, props.rightComponents))), /*#__PURE__*/_react.default.createElement(_material.Paper, {
    className: classes.paper
  }, FilterView), /*#__PURE__*/_react.default.createElement(_material.Paper, {
    className: classes.paper
  }, status == 'loading' && /*#__PURE__*/_react.default.createElement("div", {
    className: "p20"
  }, _UIManager.UIManager.instance().renderLoading()), status == 'done' && /*#__PURE__*/_react.default.createElement(_material.TableContainer, null, /*#__PURE__*/_react.default.createElement(_material.Table, {
    className: classes.table,
    "aria-labelledby": "tableTitle",
    size: 'small',
    "aria-label": "enhanced table"
  }, /*#__PURE__*/_react.default.createElement(_material.TableHead, null, /*#__PURE__*/_react.default.createElement(_material.TableRow, null, isSelectField && /*#__PURE__*/_react.default.createElement(_material.TableCell, null), props.bulkActions && /*#__PURE__*/_react.default.createElement(_material.TableCell, {
    padding: "checkbox"
  }, /*#__PURE__*/_react.default.createElement(_material.Checkbox, {
    checked: isAllSelected(),
    onChange: masterToggle(),
    inputProps: {
      'aria-label': 'select all'
    }
  })), gridFields.map(function (field, index) {
    var sortDirection = getRequest().sort.field == field.name ? getRequest().sort.order == 'ASC' ? 'asc' : 'desc' : false;
    var label = _LocaleService.LocaleService.instance().translate('resources.' + pageConfig.route + '.fields.' + field.name, field.name);
    return /*#__PURE__*/_react.default.createElement(_material.TableCell, {
      key: index,
      sortDirection: sortDirection
    }, field.isSortable && /*#__PURE__*/_react.default.createElement(_material.TableSortLabel, {
      active: getRequest().sort.field == field.name,
      direction: sortDirection || undefined,
      onClick: changeSort(field.name)
    }, label, /*#__PURE__*/_react.default.createElement("span", {
      className: classes.visuallyHidden
    }, sortDirection === 'desc' ? 'sorted descending' : 'sorted ascending')), !field.isSortable && label);
  }), /*#__PURE__*/_react.default.createElement(_material.TableCell, null))), props.pageConfig.inlineEditing ? renderInlineEditBody() : renderSearchBody())), !props.noPaging && status == 'done' && total > 0 && /*#__PURE__*/_react.default.createElement(_material.Table, {
    className: classes.table,
    size: 'small',
    "aria-label": "enhanced table"
  }, /*#__PURE__*/_react.default.createElement(_material.TableBody, null, /*#__PURE__*/_react.default.createElement(_material.TableRow, null, /*#__PURE__*/_react.default.createElement(_material.TablePagination, {
    rowsPerPageOptions: [10, 20, 50, 100],
    count: total,
    rowsPerPage: getRequest().pagination.perPage,
    page: getRequest().pagination.page - 1,
    onPageChange: handleChangePage,
    onRowsPerPageChange: handleChangeRowsPerPage,
    ActionsComponent: _TablePaginationActions.TablePaginationActions
  })))), status == 'no-data' && /*#__PURE__*/_react.default.createElement("div", {
    className: "p20"
  }, _LocaleService.LocaleService.instance().translate('lib.page.no_data'))));
}
SearchPage.propTypes = {
  gridFields: _propTypes.default.array.isRequired,
  filterFields: _propTypes.default.array.isRequired,
  fields: _propTypes.default.array.isRequired,
  rowActions: _propTypes.default.func,
  bulkActions: _propTypes.default.func,
  hideActions: _propTypes.default.bool,
  hideFilters: _propTypes.default.bool,
  noPaging: _propTypes.default.bool,
  initialData: _propTypes.default.any,
  disableOnload: _propTypes.default.bool,
  defaultSort: _propTypes.default.string,
  defaultSortOrder: _propTypes.default.string,
  leftComponents: _propTypes.default.element,
  rightComponents: _propTypes.default.element,
  pageSize: _propTypes.default.number,
  actionButtonsOnLeft: _propTypes.default.bool
};
var RenderInlineEditBodyItem = function RenderInlineEditBodyItem(_ref) {
  var formKey = _ref.formKey,
    item = _ref.item,
    gridFields = _ref.gridFields,
    fields = _ref.fields,
    pageConfig = _ref.pageConfig,
    RowActions = _ref.RowActions,
    data = _ref.data,
    actionButtonsOnLeft = _ref.actionButtonsOnLeft;
  var form = (0, _UseForm.useForm)();
  var _useState9 = (0, _react.useState)(false),
    _useState10 = _slicedToArray(_useState9, 2),
    loaded = _useState10[0],
    setLoaded = _useState10[1];
  (0, _react.useEffect)(function () {
    if (loaded) {
      form.updateFormData(formKey, _objectSpread({}, item));
      return;
    }
    form.initForm({
      formKey: formKey,
      fields: fields,
      initialValues: null
    });
    setLoaded(true);
  }, [loaded]);
  var onSubmitUpdateForm = /*#__PURE__*/function () {
    var _ref2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee(formKey, e) {
      var _record$value;
      var data, record;
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            e.preventDefault();
            data = form.getFormData(formKey);
            _UIManager.UIManager.instance().displayLoading(true);
            _context.next = 5;
            return new _ApiBusinessLogic.ApiBusinessLogic().updateOnly(pageConfig.route, data);
          case 5:
            record = _context.sent;
            _UIManager.UIManager.instance().displayLoading(false);
            if ((_record$value = record.value) !== null && _record$value !== void 0 && _record$value.id) {
              form.updateFormData(formKey, _objectSpread(_objectSpread({}, data), record.value));
            }
          case 8:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function onSubmitUpdateForm(_x2, _x3) {
      return _ref2.apply(this, arguments);
    };
  }();
  var FieldComponent = (0, _react.useCallback)(function (fieldCompProps) {
    var inputProps = new _InputComponentProp.InputComponentProp({
      key: fieldCompProps.field.name,
      pageConfig: pageConfig,
      fields: fieldCompProps.fields,
      field: fieldCompProps.field,
      isEdit: true,
      className: 'inline-edit-field',
      form: form,
      path: _LibService.LibService.instance().getPath(fieldCompProps.field.prefix, fieldCompProps.field.name),
      formKey: fieldCompProps.formKey
    });
    if (fieldCompProps.field.editComponent) return /*#__PURE__*/_react.default.createElement(fieldCompProps.field.editComponent, inputProps);
    return /*#__PURE__*/_react.default.createElement(_index.allInputs.InputComponent, inputProps);
  }, [pageConfig]);
  if (!loaded) {
    return null;
  }
  var actions = function actions() {
    return /*#__PURE__*/_react.default.createElement(_material.TableCell, {
      align: "right"
    }, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_material.Button, {
      size: "small",
      variant: "text",
      color: "secondary",
      startIcon: /*#__PURE__*/_react.default.createElement(_Edit.default, null),
      onClick: function onClick(e) {
        return onSubmitUpdateForm(formKey, e);
      }
    }, _LocaleService.LocaleService.instance().translate('lib.action.save')), RowActions && /*#__PURE__*/_react.default.createElement(RowActions, new _GridRowExtraActionProp.GridRowExtraActionProp({
      key: item.id,
      pageConfig: pageConfig,
      gridFields: gridFields,
      data: data,
      rowData: item,
      form: form,
      formKey: formKey
    }))));
  };
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, actionButtonsOnLeft && actions(), gridFields.map(function (gridField, j) {
    var field = fields === null || fields === void 0 ? void 0 : fields.filter(function (x) {
      return x.name == gridField.name;
    })[0];
    return /*#__PURE__*/_react.default.createElement(_material.TableCell, {
      key: j,
      className: "inline-cell"
    }, /*#__PURE__*/_react.default.createElement(FieldComponent, {
      key: gridField.name,
      fields: fields,
      field: field,
      formKey: formKey
    }));
  }), !actionButtonsOnLeft && actions());
};
//# sourceMappingURL=SearchPage.js.map