"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MultiReferenceComponent = MultiReferenceComponent;
exports.ReferenceComponent = ReferenceComponent;
exports.ReferenceComponentBase = ReferenceComponentBase;
var _react = _interopRequireWildcard(require("react"));
var _material = require("@mui/material");
var _CheckBoxOutlineBlank = _interopRequireDefault(require("@mui/icons-material/CheckBoxOutlineBlank"));
var _CheckBox = _interopRequireDefault(require("@mui/icons-material/CheckBox"));
var _ApiRequest = require("../../../../data/api/ApiRequest");
var _LibService = require("../../../../business/services/LibService");
var _ApiBusinessLogic = require("../../../../business/services/ApiBusinessLogic");
var _ExpandMore = _interopRequireDefault(require("@mui/icons-material/ExpandMore"));
var _lodash = _interopRequireDefault(require("lodash"));
var _makesStyles = require("../../../../business/components/makesStyles");
var _excluded = ["reference"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function _regeneratorRuntime() { "use strict"; /*! regenerator-runtime -- Copyright (c) 2014-present, Facebook, Inc. -- license (MIT): https://github.com/facebook/regenerator/blob/main/LICENSE */ _regeneratorRuntime = function _regeneratorRuntime() { return exports; }; var exports = {}, Op = Object.prototype, hasOwn = Op.hasOwnProperty, defineProperty = Object.defineProperty || function (obj, key, desc) { obj[key] = desc.value; }, $Symbol = "function" == typeof Symbol ? Symbol : {}, iteratorSymbol = $Symbol.iterator || "@@iterator", asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator", toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag"; function define(obj, key, value) { return Object.defineProperty(obj, key, { value: value, enumerable: !0, configurable: !0, writable: !0 }), obj[key]; } try { define({}, ""); } catch (err) { define = function define(obj, key, value) { return obj[key] = value; }; } function wrap(innerFn, outerFn, self, tryLocsList) { var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator, generator = Object.create(protoGenerator.prototype), context = new Context(tryLocsList || []); return defineProperty(generator, "_invoke", { value: makeInvokeMethod(innerFn, self, context) }), generator; } function tryCatch(fn, obj, arg) { try { return { type: "normal", arg: fn.call(obj, arg) }; } catch (err) { return { type: "throw", arg: err }; } } exports.wrap = wrap; var ContinueSentinel = {}; function Generator() {} function GeneratorFunction() {} function GeneratorFunctionPrototype() {} var IteratorPrototype = {}; define(IteratorPrototype, iteratorSymbol, function () { return this; }); var getProto = Object.getPrototypeOf, NativeIteratorPrototype = getProto && getProto(getProto(values([]))); NativeIteratorPrototype && NativeIteratorPrototype !== Op && hasOwn.call(NativeIteratorPrototype, iteratorSymbol) && (IteratorPrototype = NativeIteratorPrototype); var Gp = GeneratorFunctionPrototype.prototype = Generator.prototype = Object.create(IteratorPrototype); function defineIteratorMethods(prototype) { ["next", "throw", "return"].forEach(function (method) { define(prototype, method, function (arg) { return this._invoke(method, arg); }); }); } function AsyncIterator(generator, PromiseImpl) { function invoke(method, arg, resolve, reject) { var record = tryCatch(generator[method], generator, arg); if ("throw" !== record.type) { var result = record.arg, value = result.value; return value && "object" == _typeof(value) && hasOwn.call(value, "__await") ? PromiseImpl.resolve(value.__await).then(function (value) { invoke("next", value, resolve, reject); }, function (err) { invoke("throw", err, resolve, reject); }) : PromiseImpl.resolve(value).then(function (unwrapped) { result.value = unwrapped, resolve(result); }, function (error) { return invoke("throw", error, resolve, reject); }); } reject(record.arg); } var previousPromise; defineProperty(this, "_invoke", { value: function value(method, arg) { function callInvokeWithMethodAndArg() { return new PromiseImpl(function (resolve, reject) { invoke(method, arg, resolve, reject); }); } return previousPromise = previousPromise ? previousPromise.then(callInvokeWithMethodAndArg, callInvokeWithMethodAndArg) : callInvokeWithMethodAndArg(); } }); } function makeInvokeMethod(innerFn, self, context) { var state = "suspendedStart"; return function (method, arg) { if ("executing" === state) throw new Error("Generator is already running"); if ("completed" === state) { if ("throw" === method) throw arg; return doneResult(); } for (context.method = method, context.arg = arg;;) { var delegate = context.delegate; if (delegate) { var delegateResult = maybeInvokeDelegate(delegate, context); if (delegateResult) { if (delegateResult === ContinueSentinel) continue; return delegateResult; } } if ("next" === context.method) context.sent = context._sent = context.arg;else if ("throw" === context.method) { if ("suspendedStart" === state) throw state = "completed", context.arg; context.dispatchException(context.arg); } else "return" === context.method && context.abrupt("return", context.arg); state = "executing"; var record = tryCatch(innerFn, self, context); if ("normal" === record.type) { if (state = context.done ? "completed" : "suspendedYield", record.arg === ContinueSentinel) continue; return { value: record.arg, done: context.done }; } "throw" === record.type && (state = "completed", context.method = "throw", context.arg = record.arg); } }; } function maybeInvokeDelegate(delegate, context) { var methodName = context.method, method = delegate.iterator[methodName]; if (undefined === method) return context.delegate = null, "throw" === methodName && delegate.iterator.return && (context.method = "return", context.arg = undefined, maybeInvokeDelegate(delegate, context), "throw" === context.method) || "return" !== methodName && (context.method = "throw", context.arg = new TypeError("The iterator does not provide a '" + methodName + "' method")), ContinueSentinel; var record = tryCatch(method, delegate.iterator, context.arg); if ("throw" === record.type) return context.method = "throw", context.arg = record.arg, context.delegate = null, ContinueSentinel; var info = record.arg; return info ? info.done ? (context[delegate.resultName] = info.value, context.next = delegate.nextLoc, "return" !== context.method && (context.method = "next", context.arg = undefined), context.delegate = null, ContinueSentinel) : info : (context.method = "throw", context.arg = new TypeError("iterator result is not an object"), context.delegate = null, ContinueSentinel); } function pushTryEntry(locs) { var entry = { tryLoc: locs[0] }; 1 in locs && (entry.catchLoc = locs[1]), 2 in locs && (entry.finallyLoc = locs[2], entry.afterLoc = locs[3]), this.tryEntries.push(entry); } function resetTryEntry(entry) { var record = entry.completion || {}; record.type = "normal", delete record.arg, entry.completion = record; } function Context(tryLocsList) { this.tryEntries = [{ tryLoc: "root" }], tryLocsList.forEach(pushTryEntry, this), this.reset(!0); } function values(iterable) { if (iterable) { var iteratorMethod = iterable[iteratorSymbol]; if (iteratorMethod) return iteratorMethod.call(iterable); if ("function" == typeof iterable.next) return iterable; if (!isNaN(iterable.length)) { var i = -1, next = function next() { for (; ++i < iterable.length;) if (hasOwn.call(iterable, i)) return next.value = iterable[i], next.done = !1, next; return next.value = undefined, next.done = !0, next; }; return next.next = next; } } return { next: doneResult }; } function doneResult() { return { value: undefined, done: !0 }; } return GeneratorFunction.prototype = GeneratorFunctionPrototype, defineProperty(Gp, "constructor", { value: GeneratorFunctionPrototype, configurable: !0 }), defineProperty(GeneratorFunctionPrototype, "constructor", { value: GeneratorFunction, configurable: !0 }), GeneratorFunction.displayName = define(GeneratorFunctionPrototype, toStringTagSymbol, "GeneratorFunction"), exports.isGeneratorFunction = function (genFun) { var ctor = "function" == typeof genFun && genFun.constructor; return !!ctor && (ctor === GeneratorFunction || "GeneratorFunction" === (ctor.displayName || ctor.name)); }, exports.mark = function (genFun) { return Object.setPrototypeOf ? Object.setPrototypeOf(genFun, GeneratorFunctionPrototype) : (genFun.__proto__ = GeneratorFunctionPrototype, define(genFun, toStringTagSymbol, "GeneratorFunction")), genFun.prototype = Object.create(Gp), genFun; }, exports.awrap = function (arg) { return { __await: arg }; }, defineIteratorMethods(AsyncIterator.prototype), define(AsyncIterator.prototype, asyncIteratorSymbol, function () { return this; }), exports.AsyncIterator = AsyncIterator, exports.async = function (innerFn, outerFn, self, tryLocsList, PromiseImpl) { void 0 === PromiseImpl && (PromiseImpl = Promise); var iter = new AsyncIterator(wrap(innerFn, outerFn, self, tryLocsList), PromiseImpl); return exports.isGeneratorFunction(outerFn) ? iter : iter.next().then(function (result) { return result.done ? result.value : iter.next(); }); }, defineIteratorMethods(Gp), define(Gp, toStringTagSymbol, "Generator"), define(Gp, iteratorSymbol, function () { return this; }), define(Gp, "toString", function () { return "[object Generator]"; }), exports.keys = function (val) { var object = Object(val), keys = []; for (var key in object) keys.push(key); return keys.reverse(), function next() { for (; keys.length;) { var key = keys.pop(); if (key in object) return next.value = key, next.done = !1, next; } return next.done = !0, next; }; }, exports.values = values, Context.prototype = { constructor: Context, reset: function reset(skipTempReset) { if (this.prev = 0, this.next = 0, this.sent = this._sent = undefined, this.done = !1, this.delegate = null, this.method = "next", this.arg = undefined, this.tryEntries.forEach(resetTryEntry), !skipTempReset) for (var name in this) "t" === name.charAt(0) && hasOwn.call(this, name) && !isNaN(+name.slice(1)) && (this[name] = undefined); }, stop: function stop() { this.done = !0; var rootRecord = this.tryEntries[0].completion; if ("throw" === rootRecord.type) throw rootRecord.arg; return this.rval; }, dispatchException: function dispatchException(exception) { if (this.done) throw exception; var context = this; function handle(loc, caught) { return record.type = "throw", record.arg = exception, context.next = loc, caught && (context.method = "next", context.arg = undefined), !!caught; } for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i], record = entry.completion; if ("root" === entry.tryLoc) return handle("end"); if (entry.tryLoc <= this.prev) { var hasCatch = hasOwn.call(entry, "catchLoc"), hasFinally = hasOwn.call(entry, "finallyLoc"); if (hasCatch && hasFinally) { if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0); if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc); } else if (hasCatch) { if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0); } else { if (!hasFinally) throw new Error("try statement without catch or finally"); if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc); } } } }, abrupt: function abrupt(type, arg) { for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i]; if (entry.tryLoc <= this.prev && hasOwn.call(entry, "finallyLoc") && this.prev < entry.finallyLoc) { var finallyEntry = entry; break; } } finallyEntry && ("break" === type || "continue" === type) && finallyEntry.tryLoc <= arg && arg <= finallyEntry.finallyLoc && (finallyEntry = null); var record = finallyEntry ? finallyEntry.completion : {}; return record.type = type, record.arg = arg, finallyEntry ? (this.method = "next", this.next = finallyEntry.finallyLoc, ContinueSentinel) : this.complete(record); }, complete: function complete(record, afterLoc) { if ("throw" === record.type) throw record.arg; return "break" === record.type || "continue" === record.type ? this.next = record.arg : "return" === record.type ? (this.rval = this.arg = record.arg, this.method = "return", this.next = "end") : "normal" === record.type && afterLoc && (this.next = afterLoc), ContinueSentinel; }, finish: function finish(finallyLoc) { for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i]; if (entry.finallyLoc === finallyLoc) return this.complete(entry.completion, entry.afterLoc), resetTryEntry(entry), ContinueSentinel; } }, catch: function _catch(tryLoc) { for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i]; if (entry.tryLoc === tryLoc) { var record = entry.completion; if ("throw" === record.type) { var thrown = record.arg; resetTryEntry(entry); } return thrown; } } throw new Error("illegal catch attempt"); }, delegateYield: function delegateYield(iterable, resultName, nextLoc) { return this.delegate = { iterator: values(iterable), resultName: resultName, nextLoc: nextLoc }, "next" === this.method && (this.arg = undefined), ContinueSentinel; } }, exports; }
function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }
function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
var useStyles = (0, _makesStyles.makeStyles)()(function (theme) {
  return {
    accordionExpanded: {
      margin: '0 !important'
    },
    accordionSummaryRoot: {
      backgroundColor: '#efefef'
    },
    accordionSummaryContent: {
      margin: '0 !important'
    }
  };
});
function MultiReferenceComponent(props) {
  return /*#__PURE__*/_react.default.createElement(ReferenceComponentBase, {
    isMultiple: true,
    props: props
  });
}
function ReferenceComponent(props) {
  return /*#__PURE__*/_react.default.createElement(ReferenceComponentBase, {
    isMultiple: false,
    props: props
  });
}
var icon = /*#__PURE__*/_react.default.createElement(_CheckBoxOutlineBlank.default, {
  fontSize: "small"
});
var checkedIcon = /*#__PURE__*/_react.default.createElement(_CheckBox.default, {
  fontSize: "small"
});
function ReferenceComponentBase(_ref) {
  var _props$field$depends;
  var isMultiple = _ref.isMultiple,
    props = _ref.props;
  var _useStyles = useStyles(),
    classes = _useStyles.classes,
    cx = _useStyles.cx;
  var _useState = (0, _react.useState)([]),
    _useState2 = _slicedToArray(_useState, 2),
    options = _useState2[0],
    setOptions = _useState2[1];
  var _useState3 = (0, _react.useState)(false),
    _useState4 = _slicedToArray(_useState3, 2),
    disabled = _useState4[0],
    setDisabled = _useState4[1];
  var _useState5 = (0, _react.useState)(function () {
      return false;
    }),
    _useState6 = _slicedToArray(_useState5, 2),
    loading = _useState6[0],
    setLoading = _useState6[1];
  var _useState7 = (0, _react.useState)(''),
    _useState8 = _slicedToArray(_useState7, 2),
    error = _useState8[0],
    setError = _useState8[1];
  var timer = (0, _react.useRef)(-1);
  var _useState9 = (0, _react.useState)(false),
    _useState10 = _slicedToArray(_useState9, 2),
    open = _useState10[0],
    setOpen = _useState10[1];
  var timerMenu = (0, _react.useRef)(-1);
  var request = (0, _react.useRef)();
  var refDepend = (0, _react.useRef)();
  var _useState11 = (0, _react.useState)(false),
    _useState12 = _slicedToArray(_useState11, 2),
    valueEmpty = _useState12[0],
    setValueEmpty = _useState12[1];
  var dependField = (((_props$field$depends = props.field.depends) === null || _props$field$depends === void 0 ? void 0 : _props$field$depends.length) > 0 ? props.field.depends.map(function (x) {
    return x.field;
  })[0] : null) || null;
  var reference = props.field.reference;
  var treeParentFieldId = reference.treeParentFieldId || '';
  var getValueByData = function getValueByData() {
    var data = props.form.getFormData(props.formKey);
    return (data ? data[props.field.reference.dataField] : null) || (isMultiple ? [] : {});
  };
  var _useState13 = (0, _react.useState)(isMultiple ? [] : {}),
    _useState14 = _slicedToArray(_useState13, 2),
    value = _useState14[0],
    setValue = _useState14[1];
  var getOptionLabel = function getOptionLabel(option) {
    return (option ? option[props.field.reference.filterField] : null) || '';
  };
  var _useState15 = (0, _react.useState)(isMultiple ? '' : getOptionLabel(value)),
    _useState16 = _slicedToArray(_useState15, 2),
    inputValue = _useState16[0],
    setInputValue = _useState16[1];
  var handleChanges = function handleChanges(values) {
    var refPath = _LibService.LibService.instance().getPath(props.field.prefix, props.field.reference.dataField);
    props.form.handleChanges(props.formKey, [{
      name: refPath,
      value: values
    }, {
      name: props.path,
      value: values instanceof Array ? values === null || values === void 0 ? void 0 : values.map(function (x) {
        return x.id;
      }) : values === null || values === void 0 ? void 0 : values.id
    }]);
  };
  var setOpenByTimer = function setOpenByTimer(isOpen) {
    clearTimeout(timerMenu.current);
    timerMenu.current = window.setTimeout(function () {
      setOpen(isOpen);
    }, 200);
  };
  (0, _react.useEffect)(function () {
    var subscription = props.form.subscribe(props.formKey, function (data) {
      var rowData = props.form.getValue(props.formKey, props.path);
      setDisabled(!!dependField && !props.form.getFormData(props.formKey)[dependField] || !!valueEmpty);
      if (isMultiple && props.isFilter && data && data[props.field.name + 'Empty']) setValueEmpty(true);
      if (!rowData) {
        setInputValue('');
        timer.current = -1;
        return;
      }
      setValue(getValueByData());
      if (data && dependField) {
        var dependIsChanged = data[dependField] != refDepend.current;
        refDepend.current = data[dependField];
        if (!data[dependField] || dependIsChanged) {
          setInputValue('');
          return;
        }
      }
      setInputValue(getOptionLabel(getValueByData()));
    });
    var subscriptionError = props.form.subscribeError(props.formKey, function (data) {
      var rowData = props.form.getError(props.formKey, props.path);
      setError(rowData || '');
    });
    return function () {
      props.form.unsubscribe(subscription);
      props.form.unsubscribeError(subscriptionError);
    };
  }, []);
  var makeRequest = function makeRequest(term) {
    if (timer.current) clearTimeout(timer.current);
    var reference = props.field.reference;
    timer.current = window.setTimeout(function () {
      setLoading(true);
      var req = new _ApiRequest.ApiSearchRequest();
      req.pagination.page = 1;
      req.pagination.perPage = reference.limit !== undefined ? reference.limit : 20;
      req.sort.field = reference.sortField || 'id';
      req.sort.order = reference.sortDirection || 'ASC';
      req.filter[reference.filterField] = term;
      if (props.field.depends) {
        for (var i = 0; i < props.field.depends.length; i++) {
          var depend = props.field.depends[i];
          req.filter[depend.name] = depend.field ? props.form.getFormData(props.formKey)[depend.field] : depend.value;
        }
      }
      request.current = req;
      new _ApiBusinessLogic.ApiBusinessLogic().search(reference.route, req).then(function (response) {
        setOptions(response.value);
      }).finally(function () {
        setLoading(false);
      });
    }, 500);
  };
  var onChange = function onChange(e, newValue, reason) {
    setValue(newValue);
    handleChanges(newValue);
    if (!isMultiple && reason == 'selectOption') {
      setInputValue(getOptionLabel(newValue));
      timer.current = -1;
    }
    for (var i = 0; i < props.fields.length; i++) {
      var _element$depends;
      var element = props.fields[i];
      var depend = (_element$depends = element.depends) === null || _element$depends === void 0 ? void 0 : _element$depends.filter(function (x) {
        return x.field == props.field.name;
      });
      if (depend && depend.length > 0) {
        var _element$reference;
        props.form.handleChanges(props.formKey, [{
          name: element.name,
          value: null
        }, {
          name: (_element$reference = element.reference) === null || _element$reference === void 0 ? void 0 : _element$reference.dataField,
          value: null
        }]);
      }
    }
  };
  var handleInputChange = /*#__PURE__*/function () {
    var _ref2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee(e, newInputValue) {
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            makeRequest(newInputValue);
          case 1:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function handleInputChange(_x2, _x3) {
      return _ref2.apply(this, arguments);
    };
  }();
  var getOptionSelected = function getOptionSelected(option, value) {
    return option.id == value.id;
  };
  var onOpen = function onOpen(e) {
    // first open
    if (timer.current == -1) makeRequest('');
    setOpenByTimer(true);
  };
  var onInputChange = function onInputChange(event, value, reason) {
    if (reason !== 'reset') {
      setInputValue(value);
    }
  };
  var handleChangeEmpty = function handleChangeEmpty(e) {
    setValueEmpty(e.target.checked);
    var _props$field = props.field,
      reference = _props$field.reference,
      rest = _objectWithoutProperties(_props$field, _excluded);
    props.form.handleChanges(props.formKey, [{
      name: props.field.name + 'Empty',
      value: e.target.checked
    }]);
  };
  var MyPopper = (0, _react.useCallback)(function (popperProps) {
    if (!props.field.reference.addAllButton) {
      return /*#__PURE__*/_react.default.createElement(_material.Popper, popperProps);
    }
    return /*#__PURE__*/_react.default.createElement(_material.Popper, popperProps, /*#__PURE__*/_react.default.createElement(_material.ButtonGroup, {
      color: "primary",
      "aria-label": "contained primary button group",
      style: {
        backgroundColor: '#fff'
      }
    }, /*#__PURE__*/_react.default.createElement(_material.Button, {
      color: "primary",
      onClick: function onClick(e) {
        clearTimeout(timerMenu.current);
        addAllItems();
      }
    }, "Add All")), popperProps.children);
  }, [options]);
  var addAllSubItems = (0, _react.useCallback)(function (item, isChecked) {
    var subItems = options.filter(function (x) {
      return x[treeParentFieldId] == item[treeParentFieldId] || reference.parentIsAddable && x.id == item[treeParentFieldId];
    });
    var newValue = isChecked ? [].concat(_toConsumableArray(value), _toConsumableArray(subItems)) : value.filter(function (x) {
      return subItems.filter(function (y) {
        return y.id == x.id;
      }).length == 0;
    });
    handleChanges(newValue);
  }, [value, options]);
  var addAllItems = (0, _react.useCallback)(function () {
    if (reference.parentIsAddable) {
      handleChanges(options);
      return;
    }
    var allItems = options.filter(function (option) {
      if (option[treeParentFieldId]) return true;
      var hasSubItems = options.some(function (x) {
        return x[treeParentFieldId] == option.id;
      });
      if (hasSubItems) return false;
      return true;
    });
    handleChanges(allItems);
  }, [options]);
  var renderGroup = (0, _react.useCallback)(function (params) {
    if (!params.group) return null;
    var item = options[parseInt(params.key)];
    if (params.group == 'no-parent') {
      return /*#__PURE__*/_react.default.createElement(_material.List, {
        key: item.id,
        style: {
          padding: 0,
          width: '100%'
        }
      }, params.children);
    }
    var children = params.children instanceof Array && params.children ? params.children : [];
    var isSelected = children.length > 0;
    for (var i = 0; i < children.length; i++) {
      var child = children[i];
      // @ts-ignore
      if (!child.props['aria-selected']) {
        isSelected = false;
        break;
      }
    }
    return /*#__PURE__*/_react.default.createElement(_material.Accordion, {
      key: params.key,
      defaultExpanded: true,
      classes: {
        expanded: classes.accordionExpanded
      }
    }, /*#__PURE__*/_react.default.createElement(_material.AccordionSummary, {
      expandIcon: /*#__PURE__*/_react.default.createElement(_ExpandMore.default, null),
      classes: {
        expanded: classes.accordionExpanded,
        content: classes.accordionSummaryContent,
        root: classes.accordionSummaryRoot
      }
    }, /*#__PURE__*/_react.default.createElement(_material.Checkbox, {
      onClick: function onClick(e) {
        e.stopPropagation();
        if (typeof e.target.checked != 'boolean') return;
        addAllSubItems(item, e.target.checked);
      },
      onFocus: function onFocus(event) {
        return event.stopPropagation();
      },
      checked: isSelected
    }), /*#__PURE__*/_react.default.createElement("div", {
      style: {
        marginTop: 9
      }
    }, _lodash.default.get(item, reference.treeParentFieldName || 'name'))), /*#__PURE__*/_react.default.createElement(_material.AccordionDetails, {
      style: {
        padding: 0
      }
    }, /*#__PURE__*/_react.default.createElement(_material.List, {
      style: {
        padding: 0,
        width: '100%'
      }
    }, params.children)));
    /*return [
    <ListSubheader key={params.key} component="div" style={{ backgroundColor: '#efefef' }}>
      {params.group}
    </ListSubheader>,
    params.children,
    ];*/
  }, [options, value]);
  var groupBy = function groupBy() {
    if (!treeParentFieldId) return;
    return function (option) {
      //return option[treeParentFieldId];
      if (option[treeParentFieldId]) return option[treeParentFieldId];
      if (!reference.displayParentWithNoChild) return undefined;
      var hasSubItems = options.some(function (x) {
        return x[treeParentFieldId] == option.id;
      });
      if (hasSubItems) return undefined;
      return 'no-parent';
    };
  };
  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_material.Autocomplete, {
    id: props.field.name,
    value: value,
    options: options,
    openOnFocus: true,
    loading: loading,
    multiple: isMultiple,
    disableCloseOnSelect: isMultiple,
    getOptionLabel: getOptionLabel
    // TODO: getOptionSelected
    //getOptionSelected={getOptionSelected}
    ,
    onChange: onChange,
    onOpen: onOpen,
    onClose: function onClose(obj, reason) {
      setOpenByTimer(false);
    },
    open: open,
    filterOptions: function filterOptions(options, state) {
      return options;
    },
    className: props.className,
    fullWidth: true,
    inputValue: inputValue,
    onInputChange: onInputChange,
    disabled: disabled,
    PopperComponent: MyPopper,
    groupBy: groupBy(),
    disableListWrap: true,
    renderGroup: renderGroup,
    renderInput: function renderInput(params) {
      return /*#__PURE__*/_react.default.createElement(_material.TextField, _extends({}, params, {
        label: _LibService.LibService.instance().getFieldLabel(props.pageConfig, props.field.name),
        onChange: function onChange(e) {
          handleInputChange(e, e.target.value);
        },
        InputProps: _objectSpread(_objectSpread({}, params.InputProps), {}, {
          readOnly: loading,
          endAdornment: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, loading ? /*#__PURE__*/_react.default.createElement(_material.CircularProgress, {
            color: "inherit",
            size: 20
          }) : null, params.InputProps.endAdornment)
        }),
        error: !!error
      }));
    },
    renderOption: function renderOption(props, option, state) {
      if (!isMultiple) return /*#__PURE__*/_react.default.createElement("li", _extends({
        key: 'opt' + props.id
      }, props), getOptionLabel(option));
      return /*#__PURE__*/_react.default.createElement("li", _extends({
        key: 'opt' + props.id
      }, props), /*#__PURE__*/_react.default.createElement(_material.Checkbox, {
        icon: icon,
        checkedIcon: checkedIcon,
        style: {
          marginRight: 8
        },
        checked: state.selected
      }), getOptionLabel(option));
    }
  }), isMultiple && props.isFilter && /*#__PURE__*/_react.default.createElement(_material.FormControl, null, /*#__PURE__*/_react.default.createElement(_material.FormControlLabel, {
    id: props.field.name + 'empty',
    label: 'Empty ' + _LibService.LibService.instance().getFieldLabel(props.pageConfig, props.field.name),
    control: /*#__PURE__*/_react.default.createElement(_material.Checkbox, {
      checked: valueEmpty,
      onChange: handleChangeEmpty,
      name: props.field.name + 'Empty'
    })
  })));
}
//# sourceMappingURL=ReferenceComponent.js.map