"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.allInputs = void 0;
var _CheckboxComponent = require("./CheckboxComponent");
var _DateComponent = require("./DateComponent");
var _DetailFieldComponent = require("./DetailFieldComponent");
var _DetailUrlComponent = require("./DetailUrlComponent");
var _EditorComponent = require("./EditorComponent");
var _GridFieldComponent = require("./GridFieldComponent");
var _GridUrlComponent = require("./GridUrlComponent");
var _InputComponent = require("./InputComponent");
var _NumberComponent = require("./NumberComponent");
var _ReferenceComponent = require("./ReferenceComponent");
var _SelectComponent = require("./SelectComponent");
var _TextareaComponent = require("./TextareaComponent");
var allInputs = {
  InputComponent: _InputComponent.InputComponent,
  CheckboxComponent: _CheckboxComponent.CheckboxComponent,
  DateComponent: _DateComponent.DateComponent,
  TextareaComponent: _TextareaComponent.TextareaComponent,
  SelectComponent: _SelectComponent.SelectComponent,
  NumberComponent: _NumberComponent.NumberComponent,
  MultiReferenceComponent: _ReferenceComponent.MultiReferenceComponent,
  ReferenceComponent: _ReferenceComponent.ReferenceComponent,
  GridFieldComponent: _GridFieldComponent.GridFieldComponent,
  DetailFieldComponent: _DetailFieldComponent.DetailFieldComponent,
  EditorComponent: _EditorComponent.EditorComponent,
  DetailUrlComponent: _DetailUrlComponent.DetailUrlComponent,
  GridUrlComponent: _GridUrlComponent.GridUrlComponent
};
exports.allInputs = allInputs;
//# sourceMappingURL=index.js.map