import React, { PropsWithChildren } from 'react';
export declare function ErrorHandler(): import("react/jsx-runtime").JSX.Element;
export declare class ErrorBoundary extends React.Component<PropsWithChildren<{}>, {
    hasError: boolean;
}> {
    state: {
        hasError: boolean;
    };
    static getDerivedStateFromError(error: any): {
        hasError: boolean;
    };
    error: any;
    info: any;
    componentDidCatch(error: any, info: any): void;
    render(): import("react/jsx-runtime").JSX.Element;
}
