import { PageReference } from "./PageReference";
/**
 * Field base model
 */
export declare class PageFieldBase {
    /**
     * Field name
     */
    name: string;
    /**
     * Label
     */
    label: string;
    /**
     * Enum name
     */
    enumName: string;
    /**
     * Enum object
     */
    enum: {
        [x: string]: any;
    };
    /**
     * Reference
     */
    reference: PageReference;
    prefix?: string;
    isList?: boolean;
    constructor(init?: Partial<PageFieldBase>);
}
