import { FunctionComponent } from 'react';
import { PageFieldBase } from './PageFieldBase';
/**
 * Field model
 */
export declare class PageGridField extends PageFieldBase {
    /**
     * Is sortable
     */
    isSortable: boolean;
    /**
     * Grid component
     */
    gridComponent: FunctionComponent<any>;
    /**
     * Field data type
     */
    dataType: 'string' | 'number' | undefined;
    constructor(init?: Partial<PageGridField>);
}
