/// <reference types="react" />
import { PageField } from './PageField';
import { PageConfig } from './PageConfig';
export declare class PagePropBase {
    key?: any;
    pageConfig: PageConfig;
    fields?: PageField[];
    tabs?: PageTab[];
    columnCount?: number;
    leftComponents?: JSX.Element;
    rightComponents?: JSX.Element;
    hideActions?: boolean;
    constructor(init?: Partial<PagePropBase>);
}
export declare class PageTab {
    label: string;
    icon?: JSX.Element;
    fields: PageField[];
    constructor(init?: Partial<PageTab>);
}
