import React from 'react';
import { IMenuProp } from './panel/components/MenuComponent';
import { IToolbarProps } from './panel/components/Toolbar';
import { ILoginProps } from './public/Login';
import { Theme } from '@mui/system';
export interface IAdminProps {
    children?: React.ReactNode;
    rootRoutes?: any[];
    onLoad?: () => Promise<any>;
    dashboard?: JSX.Element;
    noMatch?: JSX.Element;
    loginComponent?: (props: ILoginProps) => JSX.Element;
    footer?: any;
    menu: IMenuProp;
    toolbar: IToolbarProps;
    login?: ILoginProps;
    theme?: Partial<Theme> | ((outerTheme: Theme) => Theme);
}
export declare function Admin(props: IAdminProps): any;
