"use strict";

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports);
    global.undefined = mod.exports;
  }
})(void 0, function (exports) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.ConfigService = void 0;
  function _typeof(obj) {
    "@babel/helpers - typeof";

    return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) {
      return typeof obj;
    } : function (obj) {
      return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    }, _typeof(obj);
  }
  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }
  function _defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor);
    }
  }
  function _createClass(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties(Constructor, staticProps);
    Object.defineProperty(Constructor, "prototype", {
      writable: false
    });
    return Constructor;
  }
  function _defineProperty(obj, key, value) {
    key = _toPropertyKey(key);
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }
    return obj;
  }
  function _toPropertyKey(arg) {
    var key = _toPrimitive(arg, "string");
    return _typeof(key) === "symbol" ? key : String(key);
  }
  function _toPrimitive(input, hint) {
    if (_typeof(input) !== "object" || input === null) return input;
    var prim = input[Symbol.toPrimitive];
    if (prim !== undefined) {
      var res = prim.call(input, hint || "default");
      if (_typeof(res) !== "object") return res;
      throw new TypeError("@@toPrimitive must return a primitive value.");
    }
    return (hint === "string" ? String : Number)(input);
  }
  /**
   * Configuration service
   */
  var ConfigService = /*#__PURE__*/function () {
    function ConfigService() {
      _classCallCheck(this, ConfigService);
      /**
       * Api Url
       */
      /**
       * True if prod env
       */
      _defineProperty(this, "_isProd", false);
      /**
       * Language list
       */
      _defineProperty(this, "_langList", {});
    }
    _createClass(ConfigService, [{
      key: "getApiUrl",
      value: function getApiUrl() {
        return this._apiUrl;
      }
    }, {
      key: "setApiUrl",
      value: function setApiUrl(url) {
        this._apiUrl = url;
      }
    }, {
      key: "getLangList",
      value: function getLangList() {
        return this._langList || {};
      }
    }, {
      key: "setLangList",
      value: function setLangList(langList) {
        this._langList = langList;
      }
    }, {
      key: "isProd",
      value: function isProd() {
        return this._isProd;
      }
    }, {
      key: "setIsProd",
      value: function setIsProd(isProd) {
        this._isProd = isProd;
      }
    }], [{
      key: "instance",
      value: function instance() {
        if (!this._instance) {
          this._instance = new ConfigService();
        }
        return this._instance;
      }
    }]);
    return ConfigService;
  }();
  exports.ConfigService = ConfigService;
});
//# sourceMappingURL=ConfigService.js.map