"use strict";

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports);
    global.undefined = mod.exports;
  }
})(void 0, function (exports) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.config = void 0;
  var config = {
    VERSION: 0.01,
    API_URL: process.env.REACT_APP_API_URL,
    CDN_URL: process.env.REACT_APP_CDN_URL,
    AUTH: {}
  };
  exports.config = config;
});
//# sourceMappingURL=config.js.map