"use strict";

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react-router-dom", "../../../business/services/AccountBusinessLogic", "react"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react-router-dom"), require("../../../business/services/AccountBusinessLogic"), require("react"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.reactRouterDom, global.AccountBusinessLogic, global.react);
    global.undefined = mod.exports;
  }
})(void 0, function (exports, _reactRouterDom, _AccountBusinessLogic) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.PrivateRoute = PrivateRoute;
  var _react = _interopRequireDefault();
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }
  function PrivateRoute(_ref) {
    var children = _ref.children;
    var isLoggedIn = _AccountBusinessLogic.AccountBusinessLogic.instance().isLoggedIn();
    if (isLoggedIn) {
      return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, children);
    }
    return /*#__PURE__*/_react.default.createElement(_reactRouterDom.Navigate, {
      to: "/login"
    });
  }
});
//# sourceMappingURL=PrivateRoute.js.map