"use strict";

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "./InputComponent", "react"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("./InputComponent"), require("react"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.InputComponent, global.react);
    global.undefined = mod.exports;
  }
})(void 0, function (exports, _InputComponent) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.TextareaComponent = TextareaComponent;
  var _react = _interopRequireDefault();
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }
  function _extends() {
    _extends = Object.assign ? Object.assign.bind() : function (target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i];
        for (var key in source) {
          if (Object.prototype.hasOwnProperty.call(source, key)) {
            target[key] = source[key];
          }
        }
      }
      return target;
    };
    return _extends.apply(this, arguments);
  }
  function TextareaComponent(props) {
    return /*#__PURE__*/_react.default.createElement(_InputComponent.InputComponent, _extends({}, props, {
      isMultiline: true
    }));
  }
});
//# sourceMappingURL=TextareaComponent.js.map