"use strict";

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "./CheckboxComponent", "./DateComponent", "./DetailFieldComponent", "./DetailUrlComponent", "./EditorComponent", "./GridFieldComponent", "./GridUrlComponent", "./InputComponent", "./NumberComponent", "./ReferenceComponent", "./SelectComponent", "./TextareaComponent"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("./CheckboxComponent"), require("./DateComponent"), require("./DetailFieldComponent"), require("./DetailUrlComponent"), require("./EditorComponent"), require("./GridFieldComponent"), require("./GridUrlComponent"), require("./InputComponent"), require("./NumberComponent"), require("./ReferenceComponent"), require("./SelectComponent"), require("./TextareaComponent"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.CheckboxComponent, global.DateComponent, global.DetailFieldComponent, global.DetailUrlComponent, global.EditorComponent, global.GridFieldComponent, global.GridUrlComponent, global.InputComponent, global.NumberComponent, global.ReferenceComponent, global.SelectComponent, global.TextareaComponent);
    global.undefined = mod.exports;
  }
})(void 0, function (exports, _CheckboxComponent, _DateComponent, _DetailFieldComponent, _DetailUrlComponent, _EditorComponent, _GridFieldComponent, _GridUrlComponent, _InputComponent, _NumberComponent, _ReferenceComponent, _SelectComponent, _TextareaComponent) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.allInputs = void 0;
  var allInputs = {
    InputComponent: _InputComponent.InputComponent,
    CheckboxComponent: _CheckboxComponent.CheckboxComponent,
    DateComponent: _DateComponent.DateComponent,
    TextareaComponent: _TextareaComponent.TextareaComponent,
    SelectComponent: _SelectComponent.SelectComponent,
    NumberComponent: _NumberComponent.NumberComponent,
    MultiReferenceComponent: _ReferenceComponent.MultiReferenceComponent,
    ReferenceComponent: _ReferenceComponent.ReferenceComponent,
    GridFieldComponent: _GridFieldComponent.GridFieldComponent,
    DetailFieldComponent: _DetailFieldComponent.DetailFieldComponent,
    EditorComponent: _EditorComponent.EditorComponent,
    DetailUrlComponent: _DetailUrlComponent.DetailUrlComponent,
    GridUrlComponent: _GridUrlComponent.GridUrlComponent
  };
  exports.allInputs = allInputs;
});
//# sourceMappingURL=index.js.map