"use strict";

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react-router-dom", "react"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react-router-dom"), require("react"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.reactRouterDom, global.react);
    global.undefined = mod.exports;
  }
})(void 0, function (exports, _reactRouterDom) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.NoMatch = NoMatch;
  var _react = _interopRequireDefault();
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }
  function NoMatch() {
    var location = (0, _reactRouterDom.useLocation)();
    return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("h3", null, "No match for ", /*#__PURE__*/_react.default.createElement("code", null, location.pathname)));
  }
});
//# sourceMappingURL=NoMatch.js.map