"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withStyles = exports.makeStyles = void 0;
var _styles = require("@mui/material/styles");
var _tssReact = require("tss-react");
//WARNING: tss-react require TypeScript v4.4 or newer. If you can't update use:
//import { createMakeAndWithStyles } from "tss-react/compat";
var _createMakeAndWithSty = (0, _tssReact.createMakeAndWithStyles)({
    useTheme: _styles.useTheme
    /*
      OR, if you have extended the default mui theme adding your own custom properties:
      Let's assume the myTheme object that you provide to the <ThemeProvider /> is of
      type MyTheme then you'll write:
      */
    //"useTheme": useTheme as (()=> MyTheme)
  }),
  makeStyles = _createMakeAndWithSty.makeStyles,
  withStyles = _createMakeAndWithSty.withStyles;
exports.withStyles = withStyles;
exports.makeStyles = makeStyles;
//# sourceMappingURL=makesStyles.js.map