"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PrivateRoute = PrivateRoute;
var _react = _interopRequireDefault(require("react"));
var _reactRouterDom = require("react-router-dom");
var _AccountBusinessLogic = require("../../../business/services/AccountBusinessLogic");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function PrivateRoute(_ref) {
  var children = _ref.children;
  var isLoggedIn = _AccountBusinessLogic.AccountBusinessLogic.instance().isLoggedIn();
  if (isLoggedIn) {
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, children);
  }
  return /*#__PURE__*/_react.default.createElement(_reactRouterDom.Navigate, {
    to: "/login"
  });
}
//# sourceMappingURL=PrivateRoute.js.map