/// <reference types="react" />
import { PageConfig } from '../../data/lib/PageConfig';
import { GridRowExtraActionProp } from '../../data/lib/GridRowExtraActionProp';
import { GridBulkActionProp } from '../../data/lib/GridBulkActionProp';
import { PageGridField } from '../../data/lib/PageGridFields';
import { PageField } from '../../data/lib/PageField';
interface ISearchPage {
    pageConfig: PageConfig;
    gridFields: PageGridField[];
    filterFields: PageField[];
    fields: PageField[];
    rowActions?: (props: GridRowExtraActionProp) => JSX.Element;
    bulkActions?: (props: GridBulkActionProp) => JSX.Element;
    hideActions?: boolean;
    hideFilters?: boolean;
    noPaging?: boolean;
    initialData?: any;
    disableOnload?: boolean;
    defaultSort?: string;
    defaultSortOrder?: string;
    leftComponents?: JSX.Element;
    rightComponents?: JSX.Element;
    pageSize?: number;
    actionButtonsOnLeft?: boolean;
}
export declare function SearchPage(props: ISearchPage): import("react/jsx-runtime").JSX.Element;
export {};
