import React from 'react';
interface SnackBarComponentProps {
    onRef: (c: SnackBarComponent) => {};
}
export interface Snackbar {
    type: 'danger' | 'success' | 'info' | 'warning';
    /**
     * In sec.
     */
    duration?: number;
    text: string;
    id?: string;
}
export declare class SnackBarComponent extends React.Component<SnackBarComponentProps> {
    state: {
        snackbars: {
            [x: string]: Snackbar;
        };
    };
    constructor(props: SnackBarComponentProps);
    _randomId(): string;
    add(snackbar: Snackbar): string;
    remove(id: string): void;
    render(): import("react/jsx-runtime").JSX.Element;
}
export {};
