import { LanguagelistType } from './LocaleService';
/**
 * Configuration service
 */
export declare class ConfigService {
    /**
     * Api Url
     */
    _apiUrl: string;
    /**
     * True if prod env
     */
    _isProd: boolean;
    /**
     * Language list
     */
    _langList: LanguagelistType;
    private static _instance;
    static instance(): ConfigService;
    private constructor();
    getApiUrl(): string;
    setApiUrl(url: string): void;
    getLangList(): LanguagelistType;
    setLangList(langList: LanguagelistType): void;
    isProd(): boolean;
    setIsProd(isProd: boolean): void;
}
