/**
 * Pagination model
 */
export declare class Pagination {
    /**
     * Page number
     */
    page: number;
    /**
     * Page size
     */
    perPage: number;
}
/**
 * Sort model
 */
export declare class Sort {
    /**
     * field to sort
     */
    field: string;
    /**
     * asc or desc
     */
    order: string;
}
/**
 * Api search model
 */
export declare class ApiSearchRequest {
    /**
     * Pagination
     */
    pagination: Pagination;
    /**
     * Sort
     */
    sort: Sort;
    /**
     * Filter field values
     */
    filter: {
        [x: string]: any;
    };
    constructor();
}
