"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Sort = exports.Pagination = exports.ApiSearchRequest = void 0;
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
/**
 * Pagination model
 */
var Pagination = /*#__PURE__*/_createClass(function Pagination() {
  _classCallCheck(this, Pagination);
  /**
   * Page number
   */
  _defineProperty(this, "page", 0);
  /**
   * Page size
   */
  _defineProperty(this, "perPage", 10);
});
/**
 * Sort model
 */
exports.Pagination = Pagination;
var Sort = /*#__PURE__*/_createClass(function Sort() {
  _classCallCheck(this, Sort);
  /**
   * field to sort
   */
  _defineProperty(this, "field", "");
  /**
   * asc or desc
   */
  _defineProperty(this, "order", "asc");
});
/**
 * Api search model
 */
exports.Sort = Sort;
var ApiSearchRequest = /*#__PURE__*/_createClass(
/**
 * Pagination
 */

/**
 * Sort
 */

/**
 * Filter field values
 */

function ApiSearchRequest() {
  _classCallCheck(this, ApiSearchRequest);
  this.pagination = new Pagination();
  this.sort = new Sort();
  this.filter = {};
});
exports.ApiSearchRequest = ApiSearchRequest;
//# sourceMappingURL=ApiRequest.js.map