import { ComponentPropBase } from './ComponentPropBase';
import { PageGridField } from './PageGridFields';
/**
 * Data model for grid components
 */
export declare class GridComponentProp extends ComponentPropBase {
    /**
     * Field
     */
    gridField: PageGridField;
    /**
     * Fields
     */
    gridFields: PageGridField[];
    /**
     * Data
     */
    data: any;
    /**
     * Row Data
     */
    rowData: any;
    isLink: boolean;
    constructor(init?: Partial<GridComponentProp>);
}
