import { UseFormResponse } from '../../business/helpers/UseForm';
import { ComponentPropBase } from './ComponentPropBase';
import { PageField } from './PageField';
import { Option } from './Types';
export declare class InputComponentProp extends ComponentPropBase {
    /**
     * update or create
     */
    isEdit: boolean;
    isMultiline?: boolean;
    /**
     * Field
     */
    field: PageField;
    /**
     * Fields
     */
    fields: PageField[];
    isFilter: boolean;
    form: UseFormResponse;
    constructor(init?: Partial<InputComponentProp>);
}
export declare class SelectInputComponentProp extends InputComponentProp {
    values?: Option[];
    constructor(init?: Partial<SelectInputComponentProp>);
}
