import { CheckboxComponent } from './CheckboxComponent';
import { DateComponent } from './DateComponent';
import { DetailFieldComponent } from './DetailFieldComponent';
import { DetailUrlComponent } from './DetailUrlComponent';
import { EditorComponent } from './EditorComponent';
import { GridFieldComponent } from './GridFieldComponent';
import { GridUrlComponent } from './GridUrlComponent';
import { InputComponent } from './InputComponent';
import { NumberComponent } from './NumberComponent';
import { MultiReferenceComponent, ReferenceComponent } from './ReferenceComponent';
import { SelectComponent } from './SelectComponent';
import { TextareaComponent } from './TextareaComponent';
export declare const allInputs: {
    InputComponent: typeof InputComponent;
    CheckboxComponent: typeof CheckboxComponent;
    DateComponent: typeof DateComponent;
    TextareaComponent: typeof TextareaComponent;
    SelectComponent: typeof SelectComponent;
    NumberComponent: typeof NumberComponent;
    MultiReferenceComponent: typeof MultiReferenceComponent;
    ReferenceComponent: typeof ReferenceComponent;
    GridFieldComponent: typeof GridFieldComponent;
    DetailFieldComponent: typeof DetailFieldComponent;
    EditorComponent: typeof EditorComponent;
    DetailUrlComponent: typeof DetailUrlComponent;
    GridUrlComponent: typeof GridUrlComponent;
};
